## mma 1.0-0

=== DESCRIPTION ===
Package: mma
Type: Package
Title: Multiple Mediation Analysis
Version: 1.0-0
Date: 2015-02-18
Author: Qingzhao Yu
Maintainer: Qingzhao Yu <qyu@lsuhsc.edu>
Depends: R (>= 2.14.1), gbm
Description: Used for general multiple mediation analysis. 
	The analysis method is described in Yu et al. (2014).
License: GPL (>= 2)
URL: http://www.r-project.org,
        http://publichealth.lsuhsc.edu/Faculty_pages/qyu/index.html
Packaged: 2015-02-26 18:17:33 UTC; yu
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2015-02-26 20:16:55

## mma 1.0-1

=== DESCRIPTION ===
Package: mma
Type: Package
Title: Multiple Mediation Analysis
Version: 1.0-1
Date: 2015-04-09
Author: Qingzhao Yu
Maintainer: Qingzhao Yu <qyu@lsuhsc.edu>
Depends: R (>= 2.14.1), gbm
Description: Used for general multiple mediation analysis. 
	The analysis method is described in Yu et al. 2014, "General Multiple Mediation Analysis With an Application to Explore Racial Disparity in Breast Cancer Survival", published on Journal of Biometrics & Biostatistics, 5(2):189.
License: GPL (>= 2)
URL: http://www.r-project.org,
        http://publichealth.lsuhsc.edu/Faculty_pages/qyu/index.html
Packaged: 2015-04-10 14:37:06 UTC; yu
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2015-04-11 01:16:02

## mma 2.0-0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: mma
 Type: Package
 Title: Multiple Mediation Analysis
-Version: 1.0-1
-Date: 2015-04-09
+Version: 2.0-0
+Date: 2015-04-23
 Author: Qingzhao Yu
 Maintainer: Qingzhao Yu <qyu@lsuhsc.edu>
 Depends: R (>= 2.14.1), gbm
@@ -11,7 +11,7 @@
 License: GPL (>= 2)
 URL: http://www.r-project.org,
         http://publichealth.lsuhsc.edu/Faculty_pages/qyu/index.html
-Packaged: 2015-04-10 14:37:06 UTC; yu
+Packaged: 2015-04-23 19:52:06 UTC; yu
 NeedsCompilation: no
 Repository: CRAN
-Date/Publication: 2015-04-11 01:16:02
+Date/Publication: 2015-04-24 06:34:07

## mma 2.0-1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: mma
 Type: Package
 Title: Multiple Mediation Analysis
-Version: 2.0-0
-Date: 2015-04-23
+Version: 2.0-1
+Date: 2015-12-01
 Author: Qingzhao Yu
 Maintainer: Qingzhao Yu <qyu@lsuhsc.edu>
 Depends: R (>= 2.14.1), gbm
@@ -11,7 +11,7 @@
 License: GPL (>= 2)
 URL: http://www.r-project.org,
         http://publichealth.lsuhsc.edu/Faculty_pages/qyu/index.html
-Packaged: 2015-04-23 19:52:06 UTC; yu
 NeedsCompilation: no
+Packaged: 2015-12-02 02:12:03 UTC; yu.238
 Repository: CRAN
-Date/Publication: 2015-04-24 06:34:07
+Date/Publication: 2015-12-02 09:17:15

## mma 2.0-2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: mma
 Type: Package
 Title: Multiple Mediation Analysis
-Version: 2.0-1
-Date: 2015-12-01
+Version: 2.0-2
+Date: 2016-1-20
 Author: Qingzhao Yu
 Maintainer: Qingzhao Yu <qyu@lsuhsc.edu>
 Depends: R (>= 2.14.1), gbm
@@ -12,6 +12,6 @@
 URL: http://www.r-project.org,
         http://publichealth.lsuhsc.edu/Faculty_pages/qyu/index.html
 NeedsCompilation: no
-Packaged: 2015-12-02 02:12:03 UTC; yu.238
+Packaged: 2016-01-20 21:17:38 UTC; yu.238
 Repository: CRAN
-Date/Publication: 2015-12-02 09:17:15
+Date/Publication: 2016-01-20 23:21:32

## mma 2.0-3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: mma
 Type: Package
 Title: Multiple Mediation Analysis
-Version: 2.0-2
-Date: 2016-1-20
+Version: 2.0-3
+Date: 2016-2-27
 Author: Qingzhao Yu
 Maintainer: Qingzhao Yu <qyu@lsuhsc.edu>
 Depends: R (>= 2.14.1), gbm
@@ -12,6 +12,6 @@
 URL: http://www.r-project.org,
         http://publichealth.lsuhsc.edu/Faculty_pages/qyu/index.html
 NeedsCompilation: no
-Packaged: 2016-01-20 21:17:38 UTC; yu.238
+Packaged: 2016-02-24 15:41:55 UTC; yu.238
 Repository: CRAN
-Date/Publication: 2016-01-20 23:21:32
+Date/Publication: 2016-02-24 16:59:20

## mma 2.0-4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: mma
 Type: Package
 Title: Multiple Mediation Analysis
-Version: 2.0-3
-Date: 2016-2-27
+Version: 2.0-4
+Date: 2016-3-17
 Author: Qingzhao Yu
 Maintainer: Qingzhao Yu <qyu@lsuhsc.edu>
 Depends: R (>= 2.14.1), gbm
@@ -12,6 +12,6 @@
 URL: http://www.r-project.org,
         http://publichealth.lsuhsc.edu/Faculty_pages/qyu/index.html
 NeedsCompilation: no
-Packaged: 2016-02-24 15:41:55 UTC; yu.238
+Packaged: 2016-03-17 19:46:19 UTC; yu.238
 Repository: CRAN
-Date/Publication: 2016-02-24 16:59:20
+Date/Publication: 2016-03-17 23:13:19

## mma 3.0-0

=== DESCRIPTION ===
Package: mma
Type: Package
Title: Multiple Mediation Analysis
Version: 3.0-0
Date: 2016-6-30
Author: Qingzhao Yu
Maintainer: Qingzhao Yu <qyu@lsuhsc.edu>
Depends: R (>= 2.14.1), gbm, car, gplots, splines
Description: Used for general multiple mediation analysis. 
	The analysis method is described in Yu et al. 2014, "General Multiple Mediation Analysis With an Application to Explore Racial Disparity in Breast Cancer Survival", published on Journal of Biometrics & Biostatistics, 5(2):189.
License: GPL (>= 2)
URL: http://www.r-project.org,
        http://publichealth.lsuhsc.edu/Faculty_pages/qyu/index.html
NeedsCompilation: no
Packaged: 2016-07-13 19:43:01 UTC; yu.238
Repository: CRAN
Date/Publication: 2016-07-14 00:32:50

## mma 3.1-0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: mma
 Type: Package
 Title: Multiple Mediation Analysis
-Version: 3.0-0
-Date: 2016-6-30
+Version: 3.1-0
+Date: 2016-8-8
 Author: Qingzhao Yu
 Maintainer: Qingzhao Yu <qyu@lsuhsc.edu>
 Depends: R (>= 2.14.1), gbm, car, gplots, splines
@@ -12,6 +12,6 @@
 URL: http://www.r-project.org,
         http://publichealth.lsuhsc.edu/Faculty_pages/qyu/index.html
 NeedsCompilation: no
-Packaged: 2016-07-13 19:43:01 UTC; yu.238
+Packaged: 2016-08-08 19:17:43 UTC; yu.238
 Repository: CRAN
-Date/Publication: 2016-07-14 00:32:50
+Date/Publication: 2016-08-09 01:12:54

## mma 4.0-0

=== DESCRIPTION ===
Package: mma
Type: Package
Title: Multiple Mediation Analysis
Version: 4.0-0
Date: 2016-12-12
Author: Qingzhao Yu and Bin Li
Maintainer: Qingzhao Yu <qyu@lsuhsc.edu>
Depends: R (>= 2.14.1), gbm, car, gplots, splines, survival
Description: Used for general multiple mediation analysis. 
	The analysis method is described in Yu et al. (2014) <doi:10.4172/2155-6180.1000189> "General Multiple Mediation Analysis With an Application to Explore Racial Disparity in Breast Cancer Survival", published on Journal of Biometrics & Biostatistics, 5(2):189.
License: GPL (>= 2)
URL: https://www.r-project.org,
        https://publichealth.lsuhsc.edu/Faculty_pages/qyu/index.html
NeedsCompilation: no
Packaged: 2016-12-14 02:24:40 UTC; yu.238
Repository: CRAN
Date/Publication: 2016-12-14 08:13:19

## mma 5.0-0

=== DESCRIPTION ===
Package: mma
Type: Package
Title: Multiple Mediation Analysis
Version: 5.0-0
Date: 2017-03-28
Author: Qingzhao Yu and Bin Li
Maintainer: Qingzhao Yu <qyu@lsuhsc.edu>
Depends: R (>= 2.14.1), gbm, splines, survival, doParallel
Imports: foreach, car, gplots
Description: Used for general multiple mediation analysis. 
	The analysis method is described in Yu et al. (2014) <doi:10.4172/2155-6180.1000189> "General Multiple Mediation Analysis With an Application to Explore Racial Disparity in Breast Cancer Survival", published on Journal of Biometrics & Biostatistics, 5(2):189; and Yu et al.(2017) <DOI:10.1016/j.sste.2017.02.001> "Exploring racial disparity in obesity: a mediation analysis considering geo-coded environmental factors", published on Spatial and Spatio-temporal Epidemiology, 21, 13-23.  
License: GPL (>= 2)
URL: https://www.r-project.org,
        https://publichealth.lsuhsc.edu/Faculty_pages/qyu/index.html
NeedsCompilation: no
Packaged: 2017-03-29 12:28:50 UTC; yu.238
Repository: CRAN
Date/Publication: 2017-03-29 13:06:11 UTC

## mma 5.0-1

=== DESCRIPTION ===
Package: mma
Type: Package
Title: Multiple Mediation Analysis
Version: 5.0-1
Date: 2017-09-19
Author: Qingzhao Yu and Bin Li
Maintainer: Qingzhao Yu <qyu@lsuhsc.edu>
Depends: R (>= 2.14.1), gbm, splines, survival, car, gplots
Imports: foreach, doParallel
Description: Used for general multiple mediation analysis. 
	The analysis method is described in Yu et al. (2014) <doi:10.4172/2155-6180.1000189> "General Multiple Mediation Analysis With an Application to Explore Racial Disparity in Breast Cancer Survival", published on Journal of Biometrics & Biostatistics, 5(2):189; and Yu et al.(2017) <DOI:10.1016/j.sste.2017.02.001> "Exploring racial disparity in obesity: a mediation analysis considering geo-coded environmental factors", published on Spatial and Spatio-temporal Epidemiology, 21, 13-23.  
License: GPL (>= 2)
URL: https://www.r-project.org,
        https://publichealth.lsuhsc.edu/Faculty_pages/qyu/index.html
RoxygenNote: 6.0.1
NeedsCompilation: no
Packaged: 2017-09-19 16:38:13 UTC; qyu
Repository: CRAN
Date/Publication: 2017-09-22 15:11:52 UTC

## mma 6.0-0

=== DESCRIPTION ===
Package: mma
Type: Package
Title: Multiple Mediation Analysis
Version: 6.0-0
Date: 2018-01-16
Author: Qingzhao Yu and Bin Li
Maintainer: Qingzhao Yu <qyu@lsuhsc.edu>
Depends: R (>= 2.14.1), gbm, splines, survival, car, gplots
Imports: foreach, doParallel, plotrix
Description: Used for general multiple mediation analysis. 
	The analysis method is described in Yu et al. (2014) <doi:10.4172/2155-6180.1000189> "General Multiple Mediation Analysis With an Application to Explore Racial Disparity in Breast Cancer Survival", published on Journal of Biometrics & Biostatistics, 5(2):189; and Yu et al.(2017) <DOI:10.1016/j.sste.2017.02.001> "Exploring racial disparity in obesity: a mediation analysis considering geo-coded environmental factors", published on Spatial and Spatio-temporal Epidemiology, 21, 13-23.  
License: GPL (>= 2)
URL: https://www.r-project.org,
        https://publichealth.lsuhsc.edu/Faculty_pages/qyu/index.html
RoxygenNote: 6.0.1
NeedsCompilation: no
Packaged: 2018-01-16 16:59:57 UTC; qyu
Repository: CRAN
Date/Publication: 2018-01-16 17:12:03 UTC

## mma 6.1-0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: mma
 Type: Package
 Title: Multiple Mediation Analysis
-Version: 6.0-0
-Date: 2018-01-16
+Version: 6.1-0
+Date: 2018-03-08
 Author: Qingzhao Yu and Bin Li
 Maintainer: Qingzhao Yu <qyu@lsuhsc.edu>
 Depends: R (>= 2.14.1), gbm, splines, survival, car, gplots
@@ -14,6 +14,6 @@
         https://publichealth.lsuhsc.edu/Faculty_pages/qyu/index.html
 RoxygenNote: 6.0.1
 NeedsCompilation: no
-Packaged: 2018-01-16 16:59:57 UTC; qyu
+Packaged: 2018-03-08 16:13:03 UTC; qyu
 Repository: CRAN
-Date/Publication: 2018-01-16 17:12:03 UTC
+Date/Publication: 2018-03-08 16:28:50 UTC

## mma 7.0-0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: mma
 Type: Package
 Title: Multiple Mediation Analysis
-Version: 6.1-0
-Date: 2018-03-08
+Version: 7.0-0
+Date: 2018-11-20
 Author: Qingzhao Yu and Bin Li
 Maintainer: Qingzhao Yu <qyu@lsuhsc.edu>
 Depends: R (>= 2.14.1), gbm, splines, survival, car, gplots
@@ -14,6 +14,6 @@
         https://publichealth.lsuhsc.edu/Faculty_pages/qyu/index.html
 RoxygenNote: 6.0.1
 NeedsCompilation: no
-Packaged: 2018-03-08 16:13:03 UTC; qyu
+Packaged: 2018-11-20 16:37:11 UTC; qyu
 Repository: CRAN
-Date/Publication: 2018-03-08 16:28:50 UTC
+Date/Publication: 2018-11-20 17:10:09 UTC

## mma 8.0-0

=== DESCRIPTION ===
Package: mma
Type: Package
Title: Multiple Mediation Analysis
Version: 8.0-0
Date: 2019-03-27
Author: Qingzhao Yu and Bin Li
Maintainer: Qingzhao Yu <qyu@lsuhsc.edu>
Depends: R (>= 2.14.1), gbm, splines, survival, car, gplots
Imports: foreach, doParallel, plotrix,lattice
Encoding: UTF-8
Description: Used for general multiple mediation analysis. 
	The analysis method is described in Yu et al. (2014) <doi:10.4172/2155-6180.1000189> "General Multiple Mediation Analysis With an Application to Explore Racial Disparity in Breast Cancer Survival", published on Journal of Biometrics & Biostatistics, 5(2):189; and Yu et al.(2017) <DOI:10.1016/j.sste.2017.02.001> "Exploring racial disparity in obesity: a mediation analysis considering geo-coded environmental factors", published on Spatial and Spatio-temporal Epidemiology, 21, 13-23.  
License: GPL (>= 2)
URL: https://www.r-project.org,
        https://publichealth.lsuhsc.edu/Faculty_pages/qyu/index.html
RoxygenNote: 6.1.1
NeedsCompilation: no
Packaged: 2019-03-29 20:36:33 UTC; qyu
Repository: CRAN
Date/Publication: 2019-03-29 21:30:03 UTC

## mma 9.0-0

=== DESCRIPTION ===
Package: mma
Type: Package
Title: Multiple Mediation Analysis
Version: 9.0-0
Date: 2019-08-27
Author: Qingzhao Yu and Bin Li
Maintainer: Qingzhao Yu <qyu@lsuhsc.edu>
Depends: R (>= 2.14.1), gbm, splines, survival, car, gplots
Imports: foreach, doParallel, plotrix,lattice
Suggests: knitr, rmarkdown
VignetteBuilder: knitr
Encoding: UTF-8
Description: Used for general multiple mediation analysis. 
	The analysis method is described in Yu et al. (2014) <doi:10.4172/2155-6180.1000189> "General Multiple Mediation Analysis With an Application to Explore Racial Disparity in Breast Cancer Survival", published on Journal of Biometrics & Biostatistics, 5(2):189; and Yu et al.(2017) <DOI:10.1016/j.sste.2017.02.001> "Exploring racial disparity in obesity: a mediation analysis considering geo-coded environmental factors", published on Spatial and Spatio-temporal Epidemiology, 21, 13-23.  
License: GPL (>= 2)
URL: https://www.r-project.org,
        https://publichealth.lsuhsc.edu/Faculty_pages/qyu/index.html
RoxygenNote: 6.1.1
NeedsCompilation: no
Packaged: 2019-08-27 17:40:22 UTC; qyu
Repository: CRAN
Date/Publication: 2019-08-27 18:30:02 UTC

## mma 10.0-0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: mma
 Type: Package
 Title: Multiple Mediation Analysis
-Version: 9.0-0
-Date: 2019-08-27
+Version: 10.0-0
+Date: 2020-02-27
 Author: Qingzhao Yu and Bin Li
 Maintainer: Qingzhao Yu <qyu@lsuhsc.edu>
 Depends: R (>= 2.14.1), gbm, splines, survival, car, gplots
@@ -17,6 +17,6 @@
         https://publichealth.lsuhsc.edu/Faculty_pages/qyu/index.html
 RoxygenNote: 6.1.1
 NeedsCompilation: no
-Packaged: 2019-08-27 17:40:22 UTC; qyu
+Packaged: 2020-03-17 23:46:05 UTC; qyu
 Repository: CRAN
-Date/Publication: 2019-08-27 18:30:02 UTC
+Date/Publication: 2020-03-18 15:20:20 UTC

## mma 10.2-2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Package: mma
 Type: Package
 Title: Multiple Mediation Analysis
-Version: 10.0-0
+Version: 10.2-2
 Date: 2020-02-27
 Author: Qingzhao Yu and Bin Li
 Maintainer: Qingzhao Yu <qyu@lsuhsc.edu>
 Depends: R (>= 2.14.1), gbm, splines, survival, car, gplots
-Imports: foreach, doParallel, plotrix,lattice
+Imports: plotrix,lattice
 Suggests: knitr, rmarkdown
 VignetteBuilder: knitr
 Encoding: UTF-8
@@ -17,6 +17,6 @@
         https://publichealth.lsuhsc.edu/Faculty_pages/qyu/index.html
 RoxygenNote: 6.1.1
 NeedsCompilation: no
-Packaged: 2020-03-17 23:46:05 UTC; qyu
+Packaged: 2020-03-22 19:41:08 UTC; qyu
 Repository: CRAN
-Date/Publication: 2020-03-18 15:20:20 UTC
+Date/Publication: 2020-03-23 16:40:06 UTC

## mma 10.3-2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: mma
 Type: Package
 Title: Multiple Mediation Analysis
-Version: 10.2-2
-Date: 2020-02-27
+Version: 10.3-2
+Date: 2020-05-18
 Author: Qingzhao Yu and Bin Li
 Maintainer: Qingzhao Yu <qyu@lsuhsc.edu>
 Depends: R (>= 2.14.1), gbm, splines, survival, car, gplots
@@ -17,6 +17,6 @@
         https://publichealth.lsuhsc.edu/Faculty_pages/qyu/index.html
 RoxygenNote: 6.1.1
 NeedsCompilation: no
-Packaged: 2020-03-22 19:41:08 UTC; qyu
+Packaged: 2020-05-19 01:31:02 UTC; qyu
 Repository: CRAN
-Date/Publication: 2020-03-23 16:40:06 UTC
+Date/Publication: 2020-05-24 17:40:03 UTC

## mma 10.5-0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: mma
 Type: Package
 Title: Multiple Mediation Analysis
-Version: 10.3-2
-Date: 2020-05-18
+Version: 10.5-0
+Date: 2020-12-11
 Author: Qingzhao Yu and Bin Li
 Maintainer: Qingzhao Yu <qyu@lsuhsc.edu>
 Depends: R (>= 2.14.1), gbm, splines, survival, car, gplots
@@ -17,6 +17,6 @@
         https://publichealth.lsuhsc.edu/Faculty_pages/qyu/index.html
 RoxygenNote: 6.1.1
 NeedsCompilation: no
-Packaged: 2020-05-19 01:31:02 UTC; qyu
+Packaged: 2020-12-11 17:18:37 UTC; qyu
 Repository: CRAN
-Date/Publication: 2020-05-24 17:40:03 UTC
+Date/Publication: 2020-12-11 18:30:02 UTC

## mma 10.5-1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Package: mma
 Type: Package
 Title: Multiple Mediation Analysis
-Version: 10.5-0
-Date: 2020-12-11
+Version: 10.5-1
+Date: 2021-10-25
 Author: Qingzhao Yu and Bin Li
 Maintainer: Qingzhao Yu <qyu@lsuhsc.edu>
 Depends: R (>= 2.14.1), gbm, splines, survival, car, gplots
-Imports: plotrix,lattice
+Imports: lattice
 Suggests: knitr, rmarkdown
 VignetteBuilder: knitr
 Encoding: UTF-8
@@ -15,8 +15,8 @@
 License: GPL (>= 2)
 URL: https://www.r-project.org,
         https://publichealth.lsuhsc.edu/Faculty_pages/qyu/index.html
-RoxygenNote: 6.1.1
+RoxygenNote: 7.1.1
 NeedsCompilation: no
-Packaged: 2020-12-11 17:18:37 UTC; qyu
+Packaged: 2021-10-25 01:23:36 UTC; qyu
 Repository: CRAN
-Date/Publication: 2020-12-11 18:30:02 UTC
+Date/Publication: 2021-10-25 04:40:02 UTC

## mma 10.6-1

=== DESCRIPTION ===
Package: mma
Type: Package
Title: Multiple Mediation Analysis
Version: 10.6-1
Date: 2022-05-15
Author: Qingzhao Yu and Bin Li
Maintainer: Qingzhao Yu <qyu@lsuhsc.edu>
Depends: R (>= 2.14.1), gbm, splines, survival, car, gplots
Imports: lattice, methods
Suggests: knitr, rmarkdown
VignetteBuilder: knitr
Encoding: UTF-8
Description: Used for general multiple mediation analysis. 
	The analysis method is described in Yu and Li (2022) (ISBN: 9780367365479) "Statistical Methods for Mediation, Confounding and Moderation Analysis Using R and SAS", published by Chapman and Hall/CRC; and Yu et al.(2017) <DOI:10.1016/j.sste.2017.02.001> "Exploring racial disparity in obesity: a mediation analysis considering geo-coded environmental factors", published on Spatial and Spatio-temporal Epidemiology, 21, 13-23.  
License: GPL (>= 2)
URL: https://www.r-project.org,
        https://publichealth.lsuhsc.edu/Faculty_pages/qyu/index.html
RoxygenNote: 7.1.1
NeedsCompilation: no
Packaged: 2022-05-15 00:03:32 UTC; qyu
Repository: CRAN
Date/Publication: 2022-05-16 06:50:05 UTC

## mma 10.7-1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: mma
 Type: Package
 Title: Multiple Mediation Analysis
-Version: 10.6-1
-Date: 2022-05-15
+Version: 10.7-1
+Date: 2023-08-28
 Author: Qingzhao Yu and Bin Li
 Maintainer: Qingzhao Yu <qyu@lsuhsc.edu>
 Depends: R (>= 2.14.1), gbm, splines, survival, car, gplots
@@ -17,6 +17,6 @@
         https://publichealth.lsuhsc.edu/Faculty_pages/qyu/index.html
 RoxygenNote: 7.1.1
 NeedsCompilation: no
-Packaged: 2022-05-15 00:03:32 UTC; qyu
+Packaged: 2023-08-29 14:19:49 UTC; qyu
 Repository: CRAN
-Date/Publication: 2022-05-16 06:50:05 UTC
+Date/Publication: 2023-08-29 18:10:07 UTC

## mma 10.8-1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,9 +1,15 @@
 Package: mma
 Type: Package
 Title: Multiple Mediation Analysis
-Version: 10.7-1
-Date: 2023-08-28
-Author: Qingzhao Yu and Bin Li
+Version: 10.8-1
+Date: 2025-04-30
+Authors@R: c(person(given = "Qingzhao",
+                      family = "Yu",
+                      role = c("aut", "cre"),
+                      email = "qyu@lsuhsc.edu"),
+               person(given = "Bin",
+                      family = "Li",
+                      role = "aut"))
 Maintainer: Qingzhao Yu <qyu@lsuhsc.edu>
 Depends: R (>= 2.14.1), gbm, splines, survival, car, gplots
 Imports: lattice, methods
@@ -15,8 +21,10 @@
 License: GPL (>= 2)
 URL: https://www.r-project.org,
         https://publichealth.lsuhsc.edu/Faculty_pages/qyu/index.html
-RoxygenNote: 7.1.1
+RoxygenNote: 7.3.2
 NeedsCompilation: no
-Packaged: 2023-08-29 14:19:49 UTC; qyu
+Packaged: 2025-04-30 16:21:18 UTC; qyu
+Author: Qingzhao Yu [aut, cre],
+  Bin Li [aut]
 Repository: CRAN
-Date/Publication: 2023-08-29 18:10:07 UTC
+Date/Publication: 2025-04-30 16:50:02 UTC

## mma 15.12

=== debian/changelog ===
mma (15.12-1) unstable; urgency=medium

  * New upstream release:
     - Lots of minor bug fixes
     - Much better keysignature handling
     - A "whole wack" of library files which were missing are now in the distro
     - Other minor enhancements
  * Update PDF documentation to that from MMA 15.12
  * Remove debian/patches because upstream has merged all our patches
  * Prevent the new lib/lib-files.tar.gz from being installed
  * Make changelog.gz a symlink to text/CHANGES-15.gz

 -- Anthony Fok <foka@debian.org>  Tue, 15 Dec 2015 22:09:03 -0700

mma (15.09-1) unstable; urgency=medium

  * New upstream release:
     - Works with Python 2.7 or 3.x
     - Number of minor bug fixes and optimizations
     - Added RPITCH for random "mistakes"
     - Added SUBROUTINES
     - Added FretNoise option for Plectrum tracks
     - Other minor enhancements
  * Update to PDF documentation from MMA 15.09
  * Leave PDF documentation in /usr/share/doc/mma/pdf/ uncompressed
    for easier access
  * Separate debian/mma.doc-base into four files
  * Fix anchor href to logo.png in MMA Reference Manual
  * Bump X-Python-Version to >= 2.7

 -- Anthony Fok <foka@debian.org>  Sat, 19 Sep 2015 01:04:28 -0600

mma (15.01-1) unstable; urgency=medium

  * Initial release (Closes: #655441) after its somewhat mistaken
    removal request from Debian in September 2010 (See #595093).
     - It was orphaned in Debian (#465165), but far from dead upstream;
       rather, upstream had simply moved its current website,
       started a new forum, and had just released MMA 1.6b in June 2010.
  * New packaging from dh_make, with reference to:
     - Debian last official package of mma (0.12-2) from year 2008,
     - Joel Roth's unfinished packaging in year 2012,
     - and upstream author's recent mma_15.01_all.deb package.
  * Patch mma-gb to create its "browserDB" file in ~/.cache/mma/
    instead of /usr/share/mma/lib/.
  * Patch mma-splitrec so it does not fail with Python 3.
  * Set "Debian Multimedia Maintainers" as the Maintainer,
    and me as an Uploader.

 -- Anthony Fok <foka@debian.org>  Thu, 17 Sep 2015 15:57:28 -0600

mma (12.01-1) UNRELEASED; urgency=low

  * New Upstream Release (Closes: #655441).

 -- Joel Roth <joelz@pobox.com>  Sun, 08 Jan 2012 09:16:02 -1000

mma (1.7-1) UNRELEASED; urgency=low

  * New Upstream Release

 -- Joel Roth <joelz@pobox.com>  Wed, 02 Feb 2011 08:34:36 -1000

mma (0.12-2) unstable; urgency=low

  * QA upload.
    + Set maintainer to Debian QA Group <packages@qa.debian.org>
  * Acknowledge NMUs.
  * Remove unused debhelper commands from rules.
  * Move Homepage from package description to control header.
  * Bump debhelper build-dep to 5.
  * Move DH_COMPAT to debian/compat and set to 5.
  * Bump Standards Version to 3.7.3.

 -- Barry deFreese <bddebian@comcast.net>  Sun, 10 Feb 2008 20:02:26 -0500

mma (0.12-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Update package to the last python policy (Closes: #380873).
  * Bump Standards-Version to 3.7.2.
  * Move debhelper to Build-Depends (not B-D-I).

 -- Pierre Habouzit <madcoder@debian.org>  Sun,  3 Sep 2006 23:04:03 +0200

mma (0.12-1) unstable; urgency=low

  * New Upstream Release (Closes: #296303).

 -- Raphael Goulais <rafou@debian.org>  Tue, 22 Feb 2005 09:55:03 +0100

mma (0.11-1) unstable; urgency=low

  * New Upstream Release 

 -- Raphael Goulais <rafou@debian.org>  Thu, 21 Oct 2004 14:05:06 +0200

mma (0.10-2) unstable; urgency=low

  * Added python on build depends (Closes: #265034). 

 -- Raphael Goulais <rafou@debian.org>  Wed, 11 Aug 2004 16:29:11 +0200

mma (0.10-1) unstable; urgency=low

  * New Upstream Release. 

 -- Raphael Goulais <rafou@debian.org>  Mon,  9 Aug 2004 11:41:26 +0200

mma (0.9-1) unstable; urgency=low

  * New Upstream Release (Closes: #258384).
  * Corrected a bug in MMAparse.py

 -- Raphael Goulais <rafou@debian.org>  Fri, 09 Apr 2004 11:59:00 +0200

mmma (0.7-1) unstable; urgency=low

  * New Upstream Release

 -- Raphael Goulais <rafou@debian.org>  Mon, 19 Apr 2004 22:46:00 +0200

mma (0.6-1) unstable; urgency=low

  * New Upstream Release
  * Updated mma's home page in description

 -- Raphael Goulais (Rafou) <raphael@nicedays.net>  Thu, 12 Feb 2004 02:50:00 +0100

mma (0.5-1) unstable; urgency=low

  * Initial Release (Closes: #227495).
  * Added man page.

 -- Raphael Goulais (Rafou) <raphael@nicedays.net>  Tue, 13 Jan 2004 13:17:25 +0100

=== debian/control ===
Source: mma
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Anthony Fok <foka@debian.org>
Build-Depends: debhelper (>= 9), dh-exec, dh-python, python
Standards-Version: 3.9.6
X-Python-Version: >= 2.7
Homepage: http://www.mellowood.ca/mma/
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/mma.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-multimedia/mma.git

Package: mma
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-tk
Recommends: timidity
Enhances: solfege
Description: Musical MIDI Accompaniment Generator
 “MMA—Musical MIDI Accompaniment” is an accompaniment generator.
 It creates MIDI tracks for a soloist to perform over from
 a user-supplied file containing chords and MMA directives.
 .
 MMA is very versatile and generates excellent tracks. It comes
 with an extensive user-extendable library with a variety of patterns
 for various popular rhythms, detailed user manuals, and several demo songs.
 .
 MMA is a command-line driven program. It creates MIDI files which are then
 played by a sequencer or MIDI file play program.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

override_dh_clean:
	dh_clean -X#

override_dh_install:
	dh_install -X.mmaDB -Xlib-files.tar.gz -X#

override_dh_installdocs:
	dh_installdocs -X# -XCOPYING

override_dh_installexamples:
	dh_installexamples -X#

override_dh_compress:
	dh_compress -X.pdf

#override_dh_python3:
#	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=3
http://www.mellowood.ca/mma/downloads.html mma-bin-(.*)\.tar\.gz

## mma 16.06

=== debian/changelog ===
mma (16.06-1) unstable; urgency=medium

  * New upstream release:
    - A number of new macros
    - RPITCH command
    - SUBROUTINES
    - FRETNOISE option for Plectrum tracks
    - Enhanced TIME options
    - PLUGINS
    - AFTER command
    - Other minor enhancements
  * Use multiple upstream tarballs (MUT) in Debian packaging to handle
    both mma-bin-*.tar.gz and mma-pdf-*.tar.gz, except the non-tarball
    chords.pdf.gz which still needs to be handled manually.
  * Refresh debian/control:
    - Bump Standards-Version to 3.9.8 (no change)
    - Use secure https URLs for Vcs-Git and Vcs-Browser fields
  * Fix typo in pg2mma(1) man page

 -- Anthony Fok <foka@debian.org>  Fri, 20 Jan 2017 06:52:39 -0700

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Anthony Fok <foka@debian.org>
 Build-Depends: debhelper (>= 9), dh-exec, dh-python, python
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 X-Python-Version: >= 2.7
 Homepage: http://www.mellowood.ca/mma/
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/mma.git
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-multimedia/mma.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/mma.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/mma.git
 
 Package: mma
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,7 @@
 
 override_dh_installdocs:
 	dh_installdocs -X# -XCOPYING
+	zcat debian/chords.pdf.gz > debian/mma/usr/share/doc/mma/pdf/chords.pdf
 
 override_dh_installexamples:
 	dh_installexamples -X#

=== debian/watch ===
version=4
opts="" \
    http://www.mellowood.ca/mma/downloads.html \
    mma-bin-([\d\.]+)\.tar\.gz debian
opts="component=pdf" \
    http://www.mellowood.ca/mma/downloads.html \
    mma-pdf-([\d\.]+)\.tar\.gz same uupdate

## mma 19.08

=== debian/changelog ===
mma (19.08-1) unstable; urgency=medium

  * Team upload.

  [ Reiner Herrmann ]
  * New upstream release (Closes: #935539).
  * Update chords documentation file.
  * Bump copyright year.
  * Update changelog symlink.
  * Bump Standards-Version to 4.5.0.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure URI in debian/watch.
  * Use secure URI in Homepage field.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sun, 19 Jan 2020 20:07:15 +0100

mma (16.06-3) unstable; urgency=medium

  [ Stuart Prescott ]
  * Team Upload.

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.1.

  [ Reiner Herrmann ]
  * Use Python3 (Closes: #943120).

 -- Stuart Prescott <stuart@debian.org>  Thu, 16 Jan 2020 20:41:58 +1100

mma (16.06-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/changelog: Remove trailing whitespaces

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field

  [ Anthony Fok ]
  * d/control: Apply "cme fix dpkg" fixes:
    - Update debhelper dependency to (>= 12~);
    - Bump Standards-Versions to 4.3.0 (no change), etc.

 -- Anthony Fok <foka@debian.org>  Fri, 18 Jan 2019 01:09:33 -0700

=== debian/control ===
Source: mma
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Anthony Fok <foka@debian.org>
Section: sound
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-exec,
               dh-python,
               python3
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/multimedia-team/mma
Vcs-Git: https://salsa.debian.org/multimedia-team/mma.git
Homepage: https://www.mellowood.ca/mma/
Rules-Requires-Root: no

Package: mma
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-tk
Recommends: timidity
Enhances: solfege
Description: Musical MIDI Accompaniment Generator
 “MMA—Musical MIDI Accompaniment” is an accompaniment generator.
 It creates MIDI tracks for a soloist to perform over from
 a user-supplied file containing chords and MMA directives.
 .
 MMA is very versatile and generates excellent tracks. It comes
 with an extensive user-extendable library with a variety of patterns
 for various popular rhythms, detailed user manuals, and several demo songs.
 .
 MMA is a command-line driven program. It creates MIDI files which are then
 played by a sequencer or MIDI file play program.

## mma 20.02

=== debian/changelog ===
mma (20.02-1) unstable; urgency=medium

  * New upstream version 20.02
  * Add d/upstream/metadata
  * Add me as uploader
  * d/copyright: http > https & bump year
  * Fix spelling errors in man pages
  * Drop obsolete d/mma-gb.1
  * Remove READMEs in wrong places

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 23 Feb 2020 18:33:04 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,8 @@
 Source: mma
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
-Uploaders: Anthony Fok <foka@debian.org>
+Uploaders:
+ Dennis Braun <d_braun@kabelmail.de>,
+ Anthony Fok <foka@debian.org>
 Section: sound
 Priority: optional
 Build-Depends: debhelper-compat (= 12),

## mma 20.12

=== debian/changelog ===
mma (20.12-1) unstable; urgency=medium

  * New upstream version 20.12
    + Fix SyntaxWarning: "is" with a literal (Closes: #955169)
  * Remove spell error patch, applied by upstream
  * Bump dh-compat to 13, no changes needed
  * Bump S-V to 4.5.1, no changes needed

 -- Dennis Braun <d_braun@kabelmail.de>  Thu, 10 Dec 2020 22:02:20 +0100

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,11 @@
  Anthony Fok <foka@debian.org>
 Section: sound
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-exec,
                dh-python,
                python3
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/multimedia-team/mma
 Vcs-Git: https://salsa.debian.org/multimedia-team/mma.git
 Homepage: https://www.mellowood.ca/mma/

=== debian/watch ===
version=4
opts="" \
    https://www.mellowood.ca/mma/downloads.html \
    mma-bin-([\d\.]+)\.tar\.gz debian
opts="component=pdf" \
    https://www.mellowood.ca/mma/downloads.html \
    mma-pdf-([\d\.]+)\.tar\.gz same uupdate

## mma 21.09

=== debian/changelog ===
mma (21.09-1) unstable; urgency=medium

  * New upstream version 21.09
  * Bump Standards-Version to 4.6.0
  * Bump d/copyright year
  * d/upstream/metadata: Remove unsupported homepage field

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 04 Oct 2021 22:35:43 +0200

mma (20.12-2) unstable; urgency=medium

  * Fix CHANGES link in mma.links (Closes: #986463)

 -- Dennis Braun <d_braun@kabelmail.de>  Tue, 06 Apr 2021 16:19:08 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                dh-exec,
                dh-python,
                python3
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/multimedia-team/mma
 Vcs-Git: https://salsa.debian.org/multimedia-team/mma.git
 Homepage: https://www.mellowood.ca/mma/

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3

override_dh_clean:
	dh_clean -X#

override_dh_install:
	dh_install -X.mmaDB -Xlib-files.tar.gz -X#

override_dh_installdocs:
	dh_installdocs -X# -XCOPYING
	zcat debian/chords.pdf.gz > debian/mma/usr/share/doc/mma/pdf/chords.pdf
	# Remove READMEs in wrong places
	rm debian/mma/usr/share/mma/lib/README
	rm debian/mma/usr/share/mma/lib/*/README
	rm debian/mma/usr/share/mma/includes/README

override_dh_installexamples:
	dh_installexamples -X#

override_dh_compress:
	dh_compress -X.pdf

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3
